## Name

gfs_acl_get_permset — get the permission set from a Gfarm ACL entry

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_get_permset(` | entry_d, |
| permset_p`)`; |

`gfarm_acl_entry_t entry_d`;
`gfarm_acl_permset_t *permset_p`;

## INPUT ARGUMENTS

`entry_d`

  An ACL entry descriptor.

`permset_p`

  A pointer to get an ACL permission set.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_acl_add_perm(3), gfs_acl_clear_perms(3), gfs_acl_delete_perm(3), gfs_acl_get_perm(3), gfs_acl_get_qualifier(3), gfs_acl_set_qualifier(3), gfs_acl_get_tag_type(3), gfs_acl_set_tag_type(3), gfs_acl_set_permset(3)